From 954dd0e730c24ff93e1823281ddc4eb1c6d5eb8c Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Wed, 8 Nov 2017 12:19:31 +0100
Subject: [PATCH] fix random test failures (RT #123560)

It's possible that an already spawned child again works on a Job, and
so a $PID result could appear more than once in the results list.
This means that "uniq" has to be removed.
---
 t/01-process-count-limit.t | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/t/01-process-count-limit.t b/t/01-process-count-limit.t
index a8d8ccd..2b18a56 100644
--- a/t/01-process-count-limit.t
+++ b/t/01-process-count-limit.t
@@ -7,8 +7,6 @@ use English;
 
 use Test::More;
 
-use List::Util 1.45 qw{ uniq };
-
 plan tests => 1;
 
 my @Results;
@@ -28,7 +26,7 @@ for ( my $i=0;$i<20;$i++ ) {
 
 $Worker->RunJobs();
 
-@Results = uniq sort @Results;
+@Results = sort @Results;
 
 is( scalar @Results, 40, 'Process count correct' );
 
-- 
2.1.2

